Get Database by ID
curl --request GET \
--url https://api.vertracloud.app/v1/databases/{id}import requests
url = "https://api.vertracloud.app/v1/databases/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.vertracloud.app/v1/databases/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vertracloud.app/v1/databases/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.vertracloud.app/v1/databases/{id}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.vertracloud.app/v1/databases/{id}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vertracloud.app/v1/databases/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"response": {
"id": "00000000000000000000000000000001",
"cluster": 1,
"type": 3,
"name": "MyDatabase",
"description": "I have a description :)",
"owner_id": "123456789012345678",
"owner_plan_id": 1,
"status": "up",
"ram": 256,
"host": "database.example.com",
"port": 6379,
"offline_since": null,
"last_snapshot": "2026-03-14T19:58:00Z",
"created_at": "2026-03-14T19:58:00Z",
"updated_at": "2026-03-14T19:58:00Z"
}
}
Databases
Get Database by ID
Retrieves details of a specific database by its ID.
GET
/
v1
/
databases
/
{id}
Get Database by ID
curl --request GET \
--url https://api.vertracloud.app/v1/databases/{id}import requests
url = "https://api.vertracloud.app/v1/databases/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.vertracloud.app/v1/databases/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vertracloud.app/v1/databases/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.vertracloud.app/v1/databases/{id}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.vertracloud.app/v1/databases/{id}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vertracloud.app/v1/databases/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"response": {
"id": "00000000000000000000000000000001",
"cluster": 1,
"type": 3,
"name": "MyDatabase",
"description": "I have a description :)",
"owner_id": "123456789012345678",
"owner_plan_id": 1,
"status": "up",
"ram": 256,
"host": "database.example.com",
"port": 6379,
"offline_since": null,
"last_snapshot": "2026-03-14T19:58:00Z",
"created_at": "2026-03-14T19:58:00Z",
"updated_at": "2026-03-14T19:58:00Z"
}
}
string
required
The ID of the database to retrieve. If the database belongs to a workspace, pass its ID in the
workspace_id query parameter.string
If the database belongs to a workspace, the workspace’s ID. Required for workspace members acting on a database they don’t own.
Response
object
The details of the database.
Show Toggle object
Show Toggle object
string
The ID of the database.
number
The database cluster ID.
number
The type of the database.
string
The name of the database.
string
The description of the database.
string
The ID of the database owner.
number
The owner’s plan ID.
string
The status of the database (e.g.,
up).number
The RAM allocated to the database in MB.
string
The host address of the database.
number
The port used by the database.
string
The timestamp when the database was created.
string
The timestamp when the database was last updated.
string | null
The timestamp since the database went offline, if applicable.
string | null
The timestamp of the last snapshot, if available.
{
"response": {
"id": "00000000000000000000000000000001",
"cluster": 1,
"type": 3,
"name": "MyDatabase",
"description": "I have a description :)",
"owner_id": "123456789012345678",
"owner_plan_id": 1,
"status": "up",
"ram": 256,
"host": "database.example.com",
"port": 6379,
"offline_since": null,
"last_snapshot": "2026-03-14T19:58:00Z",
"created_at": "2026-03-14T19:58:00Z",
"updated_at": "2026-03-14T19:58:00Z"
}
}
Error Responses
string
The error code indicating the reason for failure. Possible values:
UNAUTHORIZED: The user is not authenticated or lacks sufficient permissions.DATABASE_NOT_FOUND: The specified database does not exist or the user lacks access.
string
A descriptive message providing additional details about the error.
{
"code": "UNAUTHORIZED"
}
{
"code": "DATABASE_NOT_FOUND"
}